Bug 66971 - Anaconda crashes @ end of disk 1 on ProLiant ML370
Anaconda crashes @ end of disk 1 on ProLiant ML370
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-19 07:35 EDT by macpherk
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda dump (70.30 KB, text/plain)
2002-06-19 07:39 EDT, macpherk
no flags Details

  None (edit)
Description macpherk 2002-06-19 07:35:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
Anacron crashes near the end of disk 1 while trying to install on a Compaq 
ProLiant ML370. I've tried graphics and test mode. The images were downloaded 
from a mirror. And before the response that my disks are faulty ... 'linux 
mediacheck' passes the disks. And, each .iso image checked out with a valid MD5 
checksum before the disks were burned.

I've noticed similar behaviour before where Red Hat temporarily fails to see 
the CD-ROM drive even though it's been reading from it all along. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from the Disk 1, and at the boot: prompt run 'linux mediacheck'. All 
the disks are PASSed and the installer states they may be used to install from.
2. Identify language, keyboard, disk partitions, packages.
3. Accept my selection. Fifteen minutes later anaconda dumps. The error has 
been either: 1) OSError: [Errno 123] No medium found: '/tmp/cdrom'; or, 2) 
SystemError: (16, 'Device or resource busy').
	

Actual Results:  The dump is saved to disk. Disk 1 is ejected from the CD-ROM 
drive and the OS prepares to shutdown unmounting all partitions. This leaves an 
incomplete installation.

Expected Results:  Solid installation.

Additional info:

As noted ... The images were downloaded from the Red Hat ftp site, the MD5 sum 
verified before the CD-ROM's were burned. Each disk was subsequently verified 
with the 'linux mediacheck' boot option.
Comment 1 macpherk 2002-06-19 07:39:33 EDT
Created attachment 61564 [details]
Anaconda dump
Comment 2 Jeremy Katz 2002-06-29 17:41:54 EDT
Does your cdrom normally allow proper ejecting of CDs via 'eject /dev/cdrom'?
Comment 3 macpherk 2002-07-01 12:53:21 EDT
The 'eject /dev/cdrom' works fine. However, after booting off the ide CDROM and 
just pressing enter at the boot: prompt, the system boots finds the CDROM drive 
on /dev/hda, loads the necessary drivers, asks for the language and keyboard 
type, and finally the installation method which is chosen to be 'Local CDROM'. 
The install gives the error: "The Red Hat Linux CD was not found in any of your 
CDROM drives. Please insert the Red Hat Linux CD and press OK to retry."

Simply pressing OK sets the installation off. Note that at no point during this 
process has the CDROM been removed at all. Makes me think that somehow the 
install has lost it's marbles a little by the time it gets to the end of the 
first disk and needs to eject the CD. I would suspect it is experiencing a 
similar problem in that it actually thinks there is no CD at all, but there is 
no opportunity to perform a retry. Consequently resulting in a failed install.
Comment 4 Michael Fulbright 2002-07-15 12:54:44 EDT
Could you try testing witht CDs following these instructions:

   http://people.redhat.com/~msf/mediacheck.html
Comment 5 Michael Fulbright 2002-08-13 12:07:32 EDT
Closing due to inactivity - please reopen if you have additional information
regarding this issue report.
Comment 6 Red Hat Bugzilla 2006-02-21 13:49:07 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.